FAQ
I downloaded the above, but it failed to install.
  downloading go1.1beta2.darwin-amd64.tar.gz and untar-ing it into
/usr/local seemed to work fine. I'm running 10.8.3. Any thoughts?

For trying the .pkg, install.log contains:
Apr 13 13:35:06 pjw-airDK.local installd[12070]: installd: Starting
Apr 13 13:35:06 pjw-airDK.local installd[12070]: installd: uid=0, euid=0
Apr 13 13:35:06 pjw-airDK.local installd[12070]: PackageKit: ----- Begin
install -----
Apr 13 13:35:06 pjw-airDK.local installd[12070]: PackageKit:
request=PKInstallRequest <1 packages, destination=/>
Apr 13 13:35:06 pjw-airDK.local installd[12070]: PackageKit: packages=(
     "PKLeopardPackage
<file://localhost/Users/pjw/Downloads/go1.1beta2.darwin-amd64%20(1).pkg#com.googlecode.go.pkg>"
)
Apr 13 13:35:07 pjw-airDK.local installd[12070]: PackageKit: Will do
receipt-based obsoleting for package identifier com.googlecode.go (prefix
path=/)
Apr 13 13:35:07 pjw-airDK.local installd[12070]: PackageKit: Extracting
file://localhost/Users/pjw/Downloads/go1.1beta2.darwin-amd64%20(1).pkg#com.googlecode.go.pkg
(destination=/var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/Cleanup At
Startup/PKInstallSandboxManager/1.sandbox/Root, uid=0)
Apr 13 13:35:15 pjw-airDK.local installd[12070]: PackageKit: prevent user
idle system sleep
Apr 13 13:35:15 pjw-airDK.local installd[12070]: PackageKit: suspending
backupd
Apr 13 13:35:15 pjw-airDK.local installd[12070]: PackageKit: Executing
script "./preinstall" in
/private/tmp/PKInstallSandbox.Mg3pu5/Scripts/com.googlecode.go.ITAe9R
Apr 13 13:35:15 pjw-airDK.local installd[12070]: PackageKit: *** launch
path not accessible
Apr 13 13:35:15 pjw-airDK.local install_monitor[12075]: Temporarily
excluding: /Applications, /Library, /System, /bin, /private, /sbin, /usr
Apr 13 13:35:15 pjw-airDK.local install_monitor[12075]: Re-included:
/Applications, /Library, /System, /bin, /private, /sbin, /usr
Apr 13 13:35:15 pjw-airDK.local installd[12070]: PackageKit: releasing
backupd
Apr 13 13:35:15 pjw-airDK.local installd[12070]: PackageKit: allow user
idle system sleep
Apr 13 13:35:17 pjw-airDK.local installd[12070]: PackageKit: Install
Failed: Error Domain=PKInstallErrorDomain Code=112 "An error occurred while
running scripts from the package “go1.1beta2.darwin-amd64 (1).pkg”."
UserInfo=0x7feef22845f0 {NSFilePath=./preinstall,
NSURL=file://localhost/Users/pjw/Downloads/go1.1beta2.darwin-amd64%20(1).pkg#com.googlecode.go.pkg,
PKInstallPackageIdentifier=com.googlecode.go, NSLocalizedDescription=An
error occurred while running scripts from the package
“go1.1beta2.darwin-amd64 (1).pkg”.} {
     NSFilePath = "./preinstall";
     NSLocalizedDescription = "An error occurred while running scripts from
the package \U201cgo1.1beta2.darwin-amd64 (1).pkg\U201d.";
     NSURL =
"file://localhost/Users/pjw/Downloads/go1.1beta2.darwin-amd64%20(1).pkg#com.googlecode.go.pkg";
     PKInstallPackageIdentifier = "com.googlecode.go";
}
Apr 13 13:35:17 pjw-airDK.local Installer[12056]:
install:didFailWithError:Error Domain=PKInstallErrorDomain Code=112 "An
error occurred while running scripts from the package
“go1.1beta2.darwin-amd64 (1).pkg”." UserInfo=0x7fbc530bdc30
{NSFilePath=./preinstall,
NSURL=file://localhost/Users/pjw/Downloads/go1.1beta2.darwin-amd64%20(1).pkg#com.googlecode.go.pkg,
PKInstallPackageIdentifier=com.googlecode.go, NSLocalizedDescription=An
error occurred while running scripts from the package
“go1.1beta2.darwin-amd64 (1).pkg”.}
Apr 13 13:35:17 pjw-airDK.local Installer[12056]: Install failed: The
Installer encountered an error that caused the installation to fail.
Contact the software manufacturer for assistance.
Apr 13 13:35:18 pjw-airDK.local Installer[12056]: IFDInstallController
5243B690 state = 7
Apr 13 13:35:18 pjw-airDK.local Installer[12056]: Displaying 'Install
Failed' UI.
Apr 13 13:35:18 pjw-airDK.local Installer[12056]: 'Install Failed' UI
displayed message:'The Installer encountered an error that caused the
installation to fail. Contact the software manufacturer for assistance.'.

--
You received this message because you are subscribed to the Google Groups "golang-nuts" group.
To unsubscribe from this group and stop receiving emails from it, send an email to golang-nuts+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Andrey mirtchovski at Apr 13, 2013 at 6:03 pm
    this appears to be issue 5258:
    https://code.google.com/p/go/issues/detail?id=5258

    --
    You received this message because you are subscribed to the Google Groups "golang-nuts" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to golang-nuts+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Rob Pike at Apr 13, 2013 at 6:37 pm
    Try this

    pkgutil --expand go1.1beta2.darwin-amd64.pkg go1.1
    chmod +x go1.1/com.googlecode.go.pkg/Scripts/preinstall
    pkgutil --flatten go1.1 go1.1beta2.darwin-amd64-fixed.pkg

    --
    You received this message because you are subscribed to the Google Groups "golang-nuts" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to golang-nuts+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Peter Weinberger at Apr 13, 2013 at 7:15 pm
    works perfectly. (nice .pkg fu) thank you.

    On Sat, Apr 13, 2013 at 2:37 PM, Rob Pike wrote:

    Try this

    pkgutil --expand go1.1beta2.darwin-amd64.pkg go1.1
    chmod +x go1.1/com.googlecode.go.pkg/Scripts/preinstall
    pkgutil --flatten go1.1 go1.1beta2.darwin-amd64-fixed.pkg
    --
    You received this message because you are subscribed to the Google Groups "golang-nuts" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to golang-nuts+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Matthew Mcneely at Sep 4, 2013 at 8:40 pm
    Also note that I found this issue recently installing 1.2:

    Sep 4 11:51:18 Aletheia.local installd[55854]: ./postinstall: You have not
    agreed to the Xcode license agreements, please run 'xcodebuild -license'
    (for user-level acceptance) or 'sudo xcodebuild -license' (for system-wide
    acceptance) from within a Terminal window to review and agree to the Xcode
    license agreements.

    Executing the xcodebuild -license solved the issue.
    On Saturday, April 13, 2013 12:15:19 PM UTC-7, pjw wrote:

    works perfectly. (nice .pkg fu) thank you.


    On Sat, Apr 13, 2013 at 2:37 PM, Rob Pike <r...@golang.org <javascript:>>wrote:
    Try this

    pkgutil --expand go1.1beta2.darwin-amd64.pkg go1.1
    chmod +x go1.1/com.googlecode.go.pkg/Scripts/preinstall
    pkgutil --flatten go1.1 go1.1beta2.darwin-amd64-fixed.pkg
    --
    You received this message because you are subscribed to the Google Groups "golang-nuts" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to golang-nuts+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupgolang-nuts @
categoriesgo
postedApr 13, '13 at 6:01p
activeSep 4, '13 at 8:40p
posts5
users4
websitegolang.org

People

Translate

site design / logo © 2022 Grokbase